Subject: bug#50244: 28.0.50; Support project-wide diagnostics reports in flymake.el

From: Dmitry Gutov <[email-masked]>
Date: Mon, 13 Sep 2021 23:11:51 +0300

On 13.09.2021 21:03, João Távora wrote:
> The only outstanding issue preventing me from landing this in main is
> that I need to bump project.el's version so that the new
> `project-buffers` API generic function becomes officially available to
> the new bumped flymake.el version.  Dmitry is it OK for me to do so?

Yes, please go ahead. All the latest additions seem stable.

Like mentioned previously, I think using project.el for this is probably 
not ideal (rather, the diagnostic source can decide which diagnostics 
belong to the current default-directory), but I don't feel up to having 
an argument about that.